!SESSION 2011-12-22 10:44:10.000 -----------------------------------------------
eclipse.buildId=M20100909-0800
java.version=1.6.0_23
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_CN
Framework arguments:  -product org.eclipse.epp.package.cpp.product -perspective com.altera.sbtgui.ui.cPerspective
Command-line arguments:  -data D:\Project\tr4_daught_card\tmp\test\TR4_ICB\software -os win32 -ws win32 -arch x86 -product org.eclipse.epp.package.cpp.product -perspective com.altera.sbtgui.ui.cPerspective

!ENTRY org.eclipse.cdt.core 1 0 2011-12-22 10:45:10.750
!MESSAGE Indexed 'TR4_ICB_bsp' (85 sources, 62 headers) in 1.56 sec: 1,079 declarations; 2,985 references; 123 unresolved inclusions; 5 syntax errors; 241 unresolved names (5.60%)

!ENTRY org.eclipse.cdt.core 1 0 2011-12-22 10:45:13.093
!MESSAGE Indexed 'TR4_ICB' (0 sources, 13 headers) in 0.02 sec: 0 declarations; 0 references; 13 unresolved inclusions; 0 syntax errors; 0 unresolved names (0.00%)

!ENTRY org.eclipse.ui 4 0 2011-12-22 10:54:21.250
!MESSAGE Unhandled event loop exception
!STACK 0
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.IndexOutOfBoundsException: start 104, end 0, s.length() 161)
	at org.eclipse.swt.SWT.error(SWT.java:4083)
	at org.eclipse.swt.SWT.error(SWT.java:3998)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:137)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4041)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3660)
	at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2640)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2604)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2438)
	at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:671)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:664)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:115)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1407)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1383)
Caused by: java.lang.IndexOutOfBoundsException: start 104, end 0, s.length() 161
	at java.lang.AbstractStringBuilder.append(Unknown Source)
	at java.lang.StringBuilder.append(Unknown Source)
	at org.eclipse.cdt.internal.core.parser.scanner.MacroExpansionStep.getCodeAfterStep(MacroExpansionStep.java:43)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionControl.setInput(CMacroExpansionControl.java:63)
	at org.eclipse.jface.text.AbstractInformationControlManager.internalShowInformationControl(AbstractInformationControlManager.java:1170)
	at org.eclipse.jface.text.AbstractInformationControlManager.presentInformation(AbstractInformationControlManager.java:1139)
	at org.eclipse.jface.text.AbstractHoverInformationControlManager.presentInformation(AbstractHoverInformationControlManager.java:902)
	at org.eclipse.jface.text.TextViewerHoverManager.doPresentInformation(TextViewerHoverManager.java:243)
	at org.eclipse.jface.text.TextViewerHoverManager$5.run(TextViewerHoverManager.java:233)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
	... 23 more

!ENTRY org.eclipse.core.jobs 4 2 2011-12-22 10:54:26.625
!MESSAGE An internal error occurred during: "Computing Macro Expansion".
!STACK 0
java.lang.StringIndexOutOfBoundsException: String index out of range: -76
	at java.lang.String.<init>(Unknown Source)
	at org.eclipse.cdt.internal.core.parser.scanner.MultiMacroExpansionExplorer.<init>(MultiMacroExpansionExplorer.java:101)
	at org.eclipse.cdt.internal.core.parser.scanner.MultiMacroExpansionExplorer.<init>(MultiMacroExpansionExplorer.java:162)
	at org.eclipse.cdt.core.dom.rewrite.MacroExpansionExplorer.create(MacroExpansionExplorer.java:70)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionInput$ExpansionRegionComputer.createMacroExpansionExplorer(CMacroExpansionInput.java:153)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionInput$ExpansionRegionComputer.runOnAST(CMacroExpansionInput.java:104)
	at org.eclipse.cdt.internal.core.model.ASTCache.runOnAST(ASTCache.java:221)
	at org.eclipse.cdt.internal.ui.editor.ASTProvider.runOnAST(ASTProvider.java:344)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionInput$1.run(CMacroExpansionInput.java:276)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

!ENTRY org.eclipse.core.jobs 4 2 2011-12-22 11:01:20.546
!MESSAGE An internal error occurred during: "Computing Macro Expansion".
!STACK 0
java.lang.StringIndexOutOfBoundsException: String index out of range: -76
	at java.lang.String.<init>(Unknown Source)
	at org.eclipse.cdt.internal.core.parser.scanner.MultiMacroExpansionExplorer.<init>(MultiMacroExpansionExplorer.java:101)
	at org.eclipse.cdt.internal.core.parser.scanner.MultiMacroExpansionExplorer.<init>(MultiMacroExpansionExplorer.java:162)
	at org.eclipse.cdt.core.dom.rewrite.MacroExpansionExplorer.create(MacroExpansionExplorer.java:70)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionInput$ExpansionRegionComputer.createMacroExpansionExplorer(CMacroExpansionInput.java:153)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionInput$ExpansionRegionComputer.runOnAST(CMacroExpansionInput.java:104)
	at org.eclipse.cdt.internal.core.model.ASTCache.runOnAST(ASTCache.java:221)
	at org.eclipse.cdt.internal.ui.editor.ASTProvider.runOnAST(ASTProvider.java:344)
	at org.eclipse.cdt.internal.ui.text.c.hover.CMacroExpansionInput$1.run(CMacroExpansionInput.java:276)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

!ENTRY com.altera.sbtgui.launch 1 0 2011-12-22 11:09:05.500
!MESSAGE Executing: [C:\WINDOWS\system32\cmd.exe, /C, C:/altera/11.0/quartus\bin\cygwin\bin\bash.exe, -c, nios2-download '--cable=USB-Blaster on localhost [USB-0]' --device=1 --instance=0 --stop]

!ENTRY com.altera.sbtgui.launch 1 0 2011-12-22 11:09:07.812
!MESSAGE Executing: [C:\WINDOWS\system32\cmd.exe, /C, C:/altera/11.0/quartus\bin\cygwin\bin\bash.exe, -c, nios2-download '--cable=USB-Blaster on localhost [USB-0]' --device=1 --instance=0 --go /cygdrive/d/Project/tr4_daught_card/tmp/test/TR4_ICB/software/TR4_ICB/TR4_ICB.elf]
